summary refs log tree commit diff
path: root/jenkins/prepare_synapse.sh
diff options
context:
space:
mode:
authorMark Haines <mjark@negativecurvature.net>2016-08-02 20:42:30 +0100
committerGitHub <noreply@github.com>2016-08-02 20:42:30 +0100
commit9a2f296fa2e6bd42f10b12a81dba2279b8482fcc (patch)
treeac940939078a457cdc86653b219eb936b2bc6195 /jenkins/prepare_synapse.sh
parentMerge pull request #971 from matrix-org/erikj/fed_state (diff)
downloadsynapse-9a2f296fa2e6bd42f10b12a81dba2279b8482fcc.tar.xz
Factor out some of the code shared between the sytest scripts (#974)
* Factor out some of the code shared between the different sytest jenkins scripts

* Exclude jenkins from the MANIFEST

* Fix dendron build

* Missing new line

* Poke jenkins

* Export the PORT_BASE and PORT_COUNT

* Poke jenkins
Diffstat (limited to 'jenkins/prepare_synapse.sh')
-rwxr-xr-xjenkins/prepare_synapse.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/jenkins/prepare_synapse.sh b/jenkins/prepare_synapse.sh
new file mode 100755
index 0000000000..237223c81b
--- /dev/null
+++ b/jenkins/prepare_synapse.sh
@@ -0,0 +1,19 @@
+#! /bin/bash
+
+cd "`dirname $0`/.."
+
+TOX_DIR=$WORKSPACE/.tox
+
+mkdir -p $TOX_DIR
+
+if ! [ $TOX_DIR -ef .tox ]; then
+    ln -s "$TOX_DIR" .tox
+fi
+
+# set up the virtualenv
+tox -e py27 --notest -v
+
+TOX_BIN=$TOX_DIR/py27/bin
+python synapse/python_dependencies.py | xargs -n1 $TOX_BIN/pip install
+$TOX_BIN/pip install lxml
+$TOX_BIN/pip install psycopg2